Batch update collection states.
1 min
POST
https://api.upstartcommerce.com/pim/batch/collections/change-state
Body Parameters
- bodyCollectionBatchStateChangeRequest.json[]
Responses
200
- object
Response Headers
- Allow
- Cache-Control
- Content-Type
- ETag
207
Response Headers
- Allow
- Cache-Control
- Content-Type
- ETag
curl
curl --request POST \
--url https://api.upstartcommerce.com/pim/batch/collections/change-state \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/batch/collections/change-state", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/batch/collections/change-state")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/batch/collections/change-state"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Collection states modified for all provided IDs.
{}207
// Some collection states modified (partial success).